//Tool for Control the 1Wire Barometric Preassure Sensor (www.tm3d.de)
//
//Copyright (C) 2012  Tobias Mueller mail (at) tobynet.de
//
//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
// any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//
//VERSION 1.1 Control the 1Wire Barometrix Preassure Sensor 

#ifndef ___OW_BMP085__H___
#define ___OW_BMP085__H___

#include "ownet.h"

//Read four short values to check the Calibration of BMP085 / BMP180
//This function is for sensor testing only. It is not nessesary in regular work, all values shut not be zero or 0xFFFF
// block=0: ac1 ac2 ac3 ac4    see specification of BMP085 for detail
// block=1: ac5 ac6 b1  b2
// block=2: mb  mc  md  0


int readBMP085_4s(int portnum, uchar *SerialNum,uchar block, short *s);


//portnum, SerialNum: OW specific
//Press, Temp results Pressure and Temp
//state: State Bit
//  Bit 0 : 0 no oversampling (4.5 ms), 1 oversampling (25.5 ms)
//  Bit 1 : 0 one measurement, 1 16 measurements
//  Bit 2 : 1 continuously measurement every ((Bit 5-7)+1)>>4 min  
//  (Bit 4 : 1 measurement in progres)-> function tries reading again if this bit one
//  Bit 5-7: measurement pause 00001xxx -> 1 minuten 11111xxx 16 minuten
//delay: pause for measurement
//  continuously: 0
//	no oversampling and one measurement  >6
//	oversampling and one measurement  >30
// oversampling and 16 measurements  >500

int readBMP085(int portnum, uchar *SerialNum, double *Press, double *Temp, uchar *stat,long delay);

//portnum, SerialNum: OW specific
//Press, Temp results Pressure and Temp
//state: State Bit
//  Bit 0 : 0 no oversampling (4.5 ms), 1 oversampling (25.5 ms)
//  Bit 1 : 0 one measurement, 1 16 measurements
//  Bit 2 : 1 continuously measurement every ((Bit 5-7)+1)>>4 min (
//  Bit 4 : 1 measurement in progres  should not be used
//  Bit 5-7: measurement pause 00001xxx -> 1 minuten 11111xxx 16 minuten

int writeBMP085(int portnum, uchar *SerialNum,uchar stat);

#endif